---
title: Manual gallery
author: GRASS Development Team
---

[![d.background](d_background.png "d.background")](d.background.md)  
*d.background*

[![d.correlate](d_correlate_plot.png "d.correlate (plot)")](d.correlate.md)  
*d.correlate (plot)*

[![d.frame](d_frame.png "d.frame")](d.frame.md)  
*d.frame*

[![d.geodesic](d_geodesic.png "d.geodesic")](d.geodesic.md)  
*d.geodesic*

[![d.grid](d_grid_blue_grid.png "d.grid (blue grid)")](d.grid.md)  
*d.grid (blue grid)*

[![d.grid](d_grid_red_grid.png "d.grid (re)")](d.grid.md)  
*d.grid (re)*

[![d.histogram](d_histogram_bar.png "d.histogram (bar)")](d.histogram.md)  
*d.histogram (bar)*

[![d.histogram](d_histogram_pie.png "d.histogram (pie)")](d.histogram.md)  
*d.histogram (pie)*

[![d.legend](d_legend_custom_labels_and_background.png "d.legend (custom labels and background)")](d.legend.md)  
*d.legend (custom labels and background)*

[![d.legend](d_legend_logarithmic.png "d.legend (logarithmic)")](d.legend.md)  
*d.legend (logarithmic)*

[![d.legend.vect](d_legend_vect.png "d.legend.vect")](d.legend.vect.md)  
*d.legend.vect*

[![d.mon](d_mon_wx0.png "d.mon (wx0)")](d.mon.md)  
*d.mon (wx0)*

[![d.mon](d_mon_wx0_raster.png "d.mon (wx0 raster)")](d.mon.md)  
*d.mon (wx0 raster)*

[![d.polar](d_polar_aspect.png "d.polar (aspect)")](d.polar.md)  
*d.polar (aspect)*

[![d.rast.arrow](d_rast_arrow_wind.png "d.rast.arrow (wind)")](d.rast.arrow.md)  
*d.rast.arrow (wind)*

[![d.rast.edit](d_rast_edit.png "d.rast.edit")](d.rast.edit.md)  
*d.rast.edit*

[![d.rast](d_rast_elevation.png "d.rast (elevation)")](d.rast.md)  
*d.rast (elevation)*

[![d.rast](d_rast_elevation_values.png "d.rast (elevation values)")](d.rast.md)  
*d.rast (elevation values)*

[![d.rast](d_rast_landuse.png "d.rast (landuse)")](d.rast.md)  
*d.rast (landuse)*

[![d.rast.num](d_rast_num_zoom.png "d.rast.num (zoom)")](d.rast.num.md)  
*d.rast.num (zoom)*

[![d.rhumbline](d_rhumbline.png "d.rhumbline")](d.rhumbline.md)  
*d.rhumbline*

[![d.shade](dshade.png "d.shade")](d.shade.md)  
*d.shade*

[![d.text](d_text.png "d.text")](d.text.md)  
*d.text*

[![d.vect.chart](d_vect_chart_pie_2d.png "d.vect.chart (pie 2d)")](d.vect.chart.md)  
*d.vect.chart (pie 2d)*

[![d.vect.chart](d_vect_chart_pie_3d.png "d.vect.chart (pie 3d)")](d.vect.chart.md)  
*d.vect.chart (pie 3d)*

[![d.vect.thematic](d_vect_thematic.png "d.vect.thematic")](d.vect.thematic.md)  
*d.vect.thematic*

[![grass_database](grass_database.png "grass_database")](grass_database.md)  
*grass_database*

[![i.albedo](i_albedo_landsat5.png "i.albedo (landsat5)")](i.albedo.md)  
*i.albedo (landsat5)*

[![i.albedo](i_albedo_landsat7.png "i.albedo (landsat7)")](i.albedo.md)  
*i.albedo (landsat7)*

[![i.atcorr](i_atcorr_B02_atcorr.png "i.atcorr (B02 atcorr)")](i.atcorr.md)  
*i.atcorr (B02 atcorr)*

[![i.cluster](i_cluster_landsat_clustering.png "i.cluster (landsat clustering)")](i.cluster.md)  
*i.cluster (landsat clustering)*

[![i.evapo.time](i_evapo_time.png "i.evapo.time")](i.evapo.time.md)  
*i.evapo.time*

[![i.maxlik](i_maxlik_classes.png "i.maxlik (classes)")](i.maxlik.md)  
*i.maxlik (classes)*

[![i.maxlik](i_maxlik_rejection.png "i.maxlik (rejection)")](i.maxlik.md)  
*i.maxlik (rejection)*

[![i.maxlik](i_maxlik_rgb.png "i.maxlik (rgb)")](i.maxlik.md)  
*i.maxlik (rgb)*

[![i.ortho.photo](i_ortho_photo_step1.png "i.ortho.photo (step1)")](i.ortho.photo.md)  
*i.ortho.photo (step1)*

[![i.ortho.photo](i_ortho_photo_step5.png "i.ortho.photo (step5)")](i.ortho.photo.md)  
*i.ortho.photo (step5)*

[![i.ortho.photo](i_ortho_photo_step7.png "i.ortho.photo (step7)")](i.ortho.photo.md)  
*i.ortho.photo (step7)*

[![i.ortho.photo](i_ortho_photo_step8.png "i.ortho.photo (step8)")](i.ortho.photo.md)  
*i.ortho.photo (step8)*

[![i.pansharpen](i_pansharpen_rgb_brovey542.jpg "i.pansharpen (rgb brovey542)")](i.pansharpen.md)  
*i.pansharpen (rgb brovey542)*

[![i.pansharpen](i_pansharpen_rgb_ihs542.jpg "i.pansharpen (rgb ihs542)")](i.pansharpen.md)  
*i.pansharpen (rgb ihs542)*

[![i.pansharpen](i_pansharpen_rgb_landsat542.jpg "i.pansharpen (rgb landsat542)")](i.pansharpen.md)  
*i.pansharpen (rgb landsat542)*

[![i.pansharpen](i_pansharpen_rgb_pca542.jpg "i.pansharpen (rgb pca542)")](i.pansharpen.md)  
*i.pansharpen (rgb pca542)*

[![i.pca](i_pca_result.png "i.pca (result)")](i.pca.md)  
*i.pca (result)*

[![i.segment](i_segment_ortho_segs_final.jpg "i.segment (ortho segs final)")](i.segment.md)  
*i.segment (ortho segs final)*

[![i.segment](i_segment_ortho_segs_l2_l5.jpg "i.segment (ortho segs l2 l5)")](i.segment.md)  
*i.segment (ortho segs l2 l5)*

[![i.spectral](i_spectral.png "i.spectral")](i.spectral.md)  
*i.spectral*

[![i.topo.corr](i_topo_corr_angles.png "i.topo.corr (angles)")](i.topo.corr.md)  
*i.topo.corr (angles)*

[![i.vi](i_vi_arvi.png "i.vi (arvi)")](i.vi.md)  
*i.vi (arvi)*

[![i.vi](i_vi_gari.png "i.vi (gari)")](i.vi.md)  
*i.vi (gari)*

[![i.vi](i_vi_ndvi.png "i.vi (ndvi)")](i.vi.md)  
*i.vi (ndvi)*

[![imageryintro](band_references_scheme.png "imageryintro (band references scheme)")](imageryintro.md)  
*imageryintro (band references scheme)*

[![interfaces_overview](grass_start.png "interfaces_overview (grass start)")](interfaces_overview.md)  
*interfaces_overview (grass start)*

[![jupyter_intro](jupyter_3d_map.png "jupyter_intro (jupyter 3d map)")](jupyter_intro.md)  
*jupyter_intro (jupyter 3d map)*

[![jupyter_intro](jupyter_series_map.png "jupyter_intro (jupyter series map)")](jupyter_intro.md)  
*jupyter_intro (jupyter series map)*

[![jupyter_intro](jupyter_timeseries_map.png "jupyter_intro (jupyter timeseries map)")](jupyter_intro.md)  
*jupyter_intro (jupyter timeseries map)*

[![m.measure](m_measure_distance.png "m.measure (distance)")](m.measure.md)  
*m.measure (distance)*

[![r.blend](r_blend.png "r.blend")](r.blend.md)  
*r.blend*

[![r.buffer](r_buffer_road.png "r.buffer (road)")](r.buffer.md)  
*r.buffer (road)*

[![r.clump](r_clump_lakes.png "r.clump (lakes)")](r.clump.md)  
*r.clump (lakes)*

[![r.clump](r_clump_lsat.png "r.clump (lsat)")](r.clump.md)  
*r.clump (lsat)*

[![r.colors.stddev](r_colors_stddev.png "r.colors.stddev")](r.colors.stddev.md)  
*r.colors.stddev*

[![r.cost](rcost_knightsmove.png "r.cost (knightsmove)")](r.cost.md)  
*r.cost (knightsmove)*

[![r.drain](r_drain.png "r.drain")](r.drain.md)  
*r.drain*

[![r.drain](r_drain_with_r_watershed_direction.png "r.drain (with r watershed direction)")](r.drain.md)  
*r.drain (with r watershed direction)*

[![r.fill.stats](r_fill_stats_lidar.png "r.fill.stats (lidar)")](r.fill.stats.md)  
*r.fill.stats (lidar)*

[![r.fill.stats](r_fill_stats_smoothing.png "r.fill.stats (smoothing)")](r.fill.stats.md)  
*r.fill.stats (smoothing)*

[![r.geomorphon](geomorphon.png "r.geomorphon (geomorphon)")](r.geomorphon.md)  
*r.geomorphon (geomorphon)*

[![r.geomorphon](legend.png "r.geomorphon (legend)")](r.geomorphon.md)  
*r.geomorphon (legend)*

[![r.geomorphon](r_geomorphon.png "r.geomorphon")](r.geomorphon.md)  
*r.geomorphon*

[![r.geomorphon](r_geomorphon_peaks.png "r.geomorphon (peaks)")](r.geomorphon.md)  
*r.geomorphon (peaks)*

[![r.grow.distance](r_grow_distance.png "r.grow.distance")](r.grow.distance.md)  
*r.grow.distance*

[![r.grow.distance](r_grow_distance_sea.png "r.grow.distance (sea)")](r.grow.distance.md)  
*r.grow.distance (sea)*

[![r.grow.distance](r_grow_distance_zoom.png "r.grow.distance (zoom)")](r.grow.distance.md)  
*r.grow.distance (zoom)*

[![r.gwflow](r_gwflow_concept.png "r.gwflow (concept)")](r.gwflow.md)  
*r.gwflow (concept)*

[![r.horizon](rhorizon_polar_plot.png "r.horizon (polar plot)")](r.horizon.md)  
*r.horizon (polar plot)*

[![r.horizon](rhorizon_raster_efficiency.png "r.horizon (raster efficiency)")](r.horizon.md)  
*r.horizon (raster efficiency)*

[![r.horizon](rhorizon_raster_speedup.png "r.horizon (raster speedup)")](r.horizon.md)  
*r.horizon (raster speedup)*

[![r.horizon](rhorizon_raster_time.png "r.horizon (raster time)")](r.horizon.md)  
*r.horizon (raster time)*

[![r.horizon](rhorizon_shaded_dem_point.png "r.horizon (shaded dem point)")](r.horizon.md)  
*r.horizon (shaded dem point)*

[![r.horizon](rhorizon_singlepoint_plot.png "r.horizon (singlepoint plot)")](r.horizon.md)  
*r.horizon (singlepoint plot)*

[![r.in.lidar](r_in_lidar_dem_mean3D.jpg "r.in.lidar (dem mean3D)")](r.in.lidar.md)  
*r.in.lidar (dem mean3D)*

[![r.in.wms](r_in_wms_sentinel2.jpg "r.in.wms (sentinel2)")](r.in.wms.md)  
*r.in.wms (sentinel2)*

[![r.lake](r_lake_lidar_dem.jpg "r.lake (lidar dem)")](r.lake.md)  
*r.lake (lidar dem)*

[![r.mfilter](r_mfilter.png "r.mfilter")](r.mfilter.md)  
*r.mfilter*

[![r.mfilter](r_mfilter_benchmark_1.png "r.mfilter (benchmark 1)")](r.mfilter.md)  
*r.mfilter (benchmark 1)*

[![r.mfilter](r_mfilter_benchmark_2.png "r.mfilter (benchmark 2)")](r.mfilter.md)  
*r.mfilter (benchmark 2)*

[![r.neighbors](r_neighbors_benchmark_memory.png "r.neighbors (benchmark memory)")](r.neighbors.md)  
*r.neighbors (benchmark memory)*

[![r.neighbors](r_neighbors_benchmark_nprocs.png "r.neighbors (benchmark nprocs)")](r.neighbors.md)  
*r.neighbors (benchmark nprocs)*

[![r.neighbors](r_neighbors_benchmark_size.png "r.neighbors (benchmark size)")](r.neighbors.md)  
*r.neighbors (benchmark size)*

[![r.param.scale](r_param_scale_morph.jpg "r.param.scale (morph)")](r.param.scale.md)  
*r.param.scale (morph)*

[![r.patch](r_patch.png "r.patch")](r.patch.md)  
*r.patch*

[![r.patch](r_patch_benchmark_memory.png "r.patch (benchmark memory)")](r.patch.md)  
*r.patch (benchmark memory)*

[![r.patch](r_patch_benchmark_size.png "r.patch (benchmark size)")](r.patch.md)  
*r.patch (benchmark size)*

[![r.patch](r_patch_zeros_as_nulls.png "r.patch (zeros as nulls)")](r.patch.md)  
*r.patch (zeros as nulls)*

[![r.path](r_path_with_bitmask.png "r.path (with bitmask)")](r.path.md)  
*r.path (with bitmask)*

[![r.path](r_path_with_r_watershed_direction.png "r.path (with r watershed direction)")](r.path.md)  
*r.path (with r watershed direction)*

[![r.plane](r_plane_3d.png "r.plane (3d)")](r.plane.md)  
*r.plane (3d)*

[![r.random.cells](r_random_cells.png "r.random.cells")](r.random.cells.md)  
*r.random.cells*

[![r.random.surface](r_random_surface.jpg "r.random.surface")](r.random.surface.md)  
*r.random.surface*

[![r.random.surface](r_random_surface_hist.png "r.random.surface (hist)")](r.random.surface.md)  
*r.random.surface (hist)*

[![r.reclass.area](zipcodes_larger2000ha.png "r.reclass.area (zipcodes larger2000ha)")](r.reclass.area.md)  
*r.reclass.area (zipcodes larger2000ha)*

[![r.reclass.area](zipcodes_minor1000ha.png "r.reclass.area (zipcodes minor1000ha)")](r.reclass.area.md)  
*r.reclass.area (zipcodes minor1000ha)*

[![r.relief](r_relief.png "r.relief")](r.relief.md)  
*r.relief*

[![r.resamp.filter](r_resamp_filter_benchmark_size.png "r.resamp.filter (benchmark size)")](r.resamp.filter.md)  
*r.resamp.filter (benchmark size)*

[![r.resamp.interp](r_resamp_interp_benchmark_size.png "r.resamp.interp (benchmark size)")](r.resamp.interp.md)  
*r.resamp.interp (benchmark size)*

[![r.resamp.interp](r_resamp_interp_new_250m.png "r.resamp.interp (new 250m)")](r.resamp.interp.md)  
*r.resamp.interp (new 250m)*

[![r.resamp.interp](r_resamp_interp_orig_500m.png "r.resamp.interp (orig 500m)")](r.resamp.interp.md)  
*r.resamp.interp (orig 500m)*

[![r.resamp.stats](r_resamp_stats_6m_20m.png "r.resamp.stats (6m 20m)")](r.resamp.stats.md)  
*r.resamp.stats (6m 20m)*

[![r.rgb](r_rgb_elevation.png "r.rgb (elevation)")](r.rgb.md)  
*r.rgb (elevation)*

[![r.series](r_series.png "r.series")](r.series.md)  
*r.series*

[![r.series](r_series_benchmark_memory.png "r.series (benchmark memory)")](r.series.md)  
*r.series (benchmark memory)*

[![r.series](r_series_benchmark_size.png "r.series (benchmark size)")](r.series.md)  
*r.series (benchmark size)*

[![r.shade](rshade.png "r.shade")](r.shade.md)  
*r.shade*

[![r.sim.water](r_sim_water.png "r.sim.water")](r.sim.water.md)  
*r.sim.water*

[![r.sim.water](r_sim_water_water_depth.png "r.sim.water (water depth)")](r.sim.water.md)  
*r.sim.water (water depth)*

[![r.slope.aspect](r_slope_aspect_4_directions.png "r.slope.aspect (4 directions)")](r.slope.aspect.md)  
*r.slope.aspect (4 directions)*

[![r.slope.aspect](r_slope_aspect_benchmark_memory.png "r.slope.aspect (benchmark memory)")](r.slope.aspect.md)  
*r.slope.aspect (benchmark memory)*

[![r.slope.aspect](r_slope_aspect_benchmark_size.png "r.slope.aspect (benchmark size)")](r.slope.aspect.md)  
*r.slope.aspect (benchmark size)*

[![r.smooth.edgepreserve](r_smooth_edgepreserve.jpg "r.smooth.edgepreserve")](r.smooth.edgepreserve.md)  
*r.smooth.edgepreserve*

[![r.stats.zonal](r_stats.zonal.png "r.stats.zonal (r stats.zonal)")](r.stats.zonal.md)  
*r.stats.zonal (r stats.zonal)*

[![r.stream.extract](r_stream_extract_accum_orig_zoom.png "r.stream.extract (accum orig zoom)")](r.stream.extract.md)  
*r.stream.extract (accum orig zoom)*

[![r.stream.extract](r_stream_extract_accum_weighted_zoom.png "r.stream.extract (accum weighted zoom)")](r.stream.extract.md)  
*r.stream.extract (accum weighted zoom)*

[![r.stream.extract](r_stream_extract_streams_noweight.png "r.stream.extract (streams noweight)")](r.stream.extract.md)  
*r.stream.extract (streams noweight)*

[![r.stream.extract](r_stream_extract_streams_weighed.png "r.stream.extract (streams weighed)")](r.stream.extract.md)  
*r.stream.extract (streams weighed)*

[![r.stream.extract](r_stream_extract_weights_zoom.png "r.stream.extract (weights zoom)")](r.stream.extract.md)  
*r.stream.extract (weights zoom)*

[![r.sunhours](r_sunhours.png "r.sunhours")](r.sunhours.md)  
*r.sunhours*

[![r.surf.fractal](r_surf_fractal.jpg "r.surf.fractal")](r.surf.fractal.md)  
*r.surf.fractal*

[![r.surf.gauss](r_surf_gauss.jpg "r.surf.gauss")](r.surf.gauss.md)  
*r.surf.gauss*

[![r.surf.gauss](r_surf_gauss_hist.png "r.surf.gauss (hist)")](r.surf.gauss.md)  
*r.surf.gauss (hist)*

[![r.surf.random](r_surf_random.jpg "r.surf.random")](r.surf.random.md)  
*r.surf.random*

[![r.surf.random](r_surf_random_hist.png "r.surf.random (hist)")](r.surf.random.md)  
*r.surf.random (hist)*

[![r.texture](r_texture_directions_example.png "r.texture (directions example)")](r.texture.md)  
*r.texture (directions example)*

[![r.texture](r_texture_mapsize_efficiency.png "r.texture (mapsize efficiency)")](r.texture.md)  
*r.texture (mapsize efficiency)*

[![r.texture](r_texture_mapsize_time.png "r.texture (mapsize time)")](r.texture.md)  
*r.texture (mapsize time)*

[![r.texture](r_texture_window_efficiency.png "r.texture (window efficiency)")](r.texture.md)  
*r.texture (window efficiency)*

[![r.texture](r_texture_window_time.png "r.texture (window time)")](r.texture.md)  
*r.texture (window time)*

[![r.thin](r_thin_network.png "r.thin (network)")](r.thin.md)  
*r.thin (network)*

[![r.thin](r_thin_vectorized.png "r.thin (vectorized)")](r.thin.md)  
*r.thin (vectorized)*

[![r.topidx](r_topidx.png "r.topidx")](r.topidx.md)  
*r.topidx*

[![r.univar](runivar_basins.png "r.univar (basins)")](r.univar.md)  
*r.univar (basins)*

[![r.univar](runivar_basins_elev_zonal.png "r.univar (basins elev zonal)")](r.univar.md)  
*r.univar (basins elev zonal)*

[![r.univar](r_univar_benchmark_size.png "r.univar (benchmark size)")](r.univar.md)  
*r.univar (benchmark size)*

[![r.volume](r_volume_lake.png "r.volume (lake)")](r.volume.md)  
*r.volume (lake)*

[![r.walk](r_walk.png "r.walk")](r.walk.md)  
*r.walk*

[![r3.flow](r3flow_flowlines.png "r3.flow (flowlines)")](r3.flow.md)  
*r3.flow (flowlines)*

[![r3.flow](r3flow_flowlines_color.png "r3.flow (flowlines color)")](r3.flow.md)  
*r3.flow (flowlines color)*

[![r3.in.lidar](r3_in_lidar.png "r3.in.lidar")](r3.in.lidar.md)  
*r3.in.lidar*

[![style_guide](r.viewshed.png "style_guide (r.viewshed)")](style_guide.md)  
*style_guide (r.viewshed)*

[![v.buffer](v_buffer_areas.png "v.buffer (areas)")](v.buffer.md)  
*v.buffer (areas)*

[![v.buffer](v_buffer_areas_int.png "v.buffer (areas int)")](v.buffer.md)  
*v.buffer (areas int)*

[![v.buffer](v_buffer_lines.png "v.buffer (lines)")](v.buffer.md)  
*v.buffer (lines)*

[![v.buffer](v_buffer_points.png "v.buffer (points)")](v.buffer.md)  
*v.buffer (points)*

[![v.buffer](v_buffer_point_s.png "v.buffer (point s)")](v.buffer.md)  
*v.buffer (point s)*

[![v.centroids](v_centroids.png "v.centroids")](v.centroids.md)  
*v.centroids*

[![v.clean](v_clean.png "v.clean")](v.clean.md)  
*v.clean*

[![v.clip](v_clip_poly.png "v.clip (poly)")](v.clip.md)  
*v.clip (poly)*

[![v.clip](v_clip_region.png "v.clip (region)")](v.clip.md)  
*v.clip (region)*

[![v.cluster](v_cluster_4_methods.png "v.cluster (4 methods)")](v.cluster.md)  
*v.cluster (4 methods)*

[![v.delaunay](v_delaunay.png "v.delaunay")](v.delaunay.md)  
*v.delaunay*

[![v.dissolve](v_dissolve_towns.png "v.dissolve (towns)")](v.dissolve.md)  
*v.dissolve (towns)*

[![v.dissolve](v_dissolve_zipcodes.png "v.dissolve (zipcodes)")](v.dissolve.md)  
*v.dissolve (zipcodes)*

[![v.fill.holes](v_fill_holes.png "v.fill.holes")](v.fill.holes.md)  
*v.fill.holes*

[![v.fill.holes](v_fill_holes_filled.png "v.fill.holes (filled)")](v.fill.holes.md)  
*v.fill.holes (filled)*

[![v.fill.holes](v_fill_holes_filled_with_dissolve.png "v.fill.holes (filled with dissolve)")](v.fill.holes.md)  
*v.fill.holes (filled with dissolve)*

[![v.generalize](v_generalize_simplify.png "v.generalize (simplify)")](v.generalize.md)  
*v.generalize (simplify)*

[![v.generalize](v_generalize_smooth.png "v.generalize (smooth)")](v.generalize.md)  
*v.generalize (smooth)*

[![v.hull](v_hull_3d.png "v.hull (3d)")](v.hull.md)  
*v.hull (3d)*

[![v.lidar.edgedetection](v_lidar_edgedetection.png "v.lidar.edgedetection")](v.lidar.edgedetection.md)  
*v.lidar.edgedetection*

[![v.lidar.edgedetection](v_lidar_edgedetection_objects.png "v.lidar.edgedetection (objects)")](v.lidar.edgedetection.md)  
*v.lidar.edgedetection (objects)*

[![v.mkgrid](v_mkgrid.png "v.mkgrid")](v.mkgrid.md)  
*v.mkgrid*

[![v.mkgrid](v_mkgrid_ppattern.png "v.mkgrid (ppattern)")](v.mkgrid.md)  
*v.mkgrid (ppattern)*

[![v.net.alloc](v_net_alloc.png "v.net.alloc")](v.net.alloc.md)  
*v.net.alloc*

[![v.net.alloc](v_net_alloc_from_centers.png "v.net.alloc (from centers)")](v.net.alloc.md)  
*v.net.alloc (from centers)*

[![v.net.alloc](v_net_alloc_time.png "v.net.alloc (time)")](v.net.alloc.md)  
*v.net.alloc (time)*

[![v.net.alloc](v_net_alloc_to_centers.png "v.net.alloc (to centers)")](v.net.alloc.md)  
*v.net.alloc (to centers)*

[![v.net.distance](vnetdistance.png "v.net.distance")](v.net.distance.md)  
*v.net.distance*

[![v.net.path](vnetpath.png "v.net.path")](v.net.path.md)  
*v.net.path*

[![v.net.salesman](vnetsalesman.png "v.net.salesman")](v.net.salesman.md)  
*v.net.salesman*

[![v.net.salesman](vnetsalesmantime.png "v.net.salesman (time)")](v.net.salesman.md)  
*v.net.salesman (time)*

[![v.net.steiner](vnetsteiner.png "v.net.steiner")](v.net.steiner.md)  
*v.net.steiner*

[![v.net.steiner](vnetsteinertime.png "v.net.steiner (time)")](v.net.steiner.md)  
*v.net.steiner (time)*

[![v.overlay](v_overlay_op_and.png "v.overlay (op and)")](v.overlay.md)  
*v.overlay (op and)*

[![v.overlay](v_overlay_op_not.png "v.overlay (op not)")](v.overlay.md)  
*v.overlay (op not)*

[![v.overlay](v_overlay_op_or.png "v.overlay (op or)")](v.overlay.md)  
*v.overlay (op or)*

[![v.overlay](v_overlay_op_xor.png "v.overlay (op xor)")](v.overlay.md)  
*v.overlay (op xor)*

[![v.overlay](v_overlay_poly_1_2.png "v.overlay (poly 1 2)")](v.overlay.md)  
*v.overlay (poly 1 2)*

[![v.overlay](v_overlay_poly_1_2_a_o_n_x.png "v.overlay (poly 1 2 a o n x)")](v.overlay.md)  
*v.overlay (poly 1 2 a o n x)*

[![v.perturb](v_perturb_normal.png "v.perturb (normal)")](v.perturb.md)  
*v.perturb (normal)*

[![v.perturb](v_perturb_uniform.png "v.perturb (uniform)")](v.perturb.md)  
*v.perturb (uniform)*

[![v.random](vrandom_polygons.png "v.random (polygons)")](v.random.md)  
*v.random (polygons)*

[![v.random](vrandom_restricted_area.png "v.random (restricted area)")](v.random.md)  
*v.random (restricted area)*

[![v.random](vrandom_restricted_attr.png "v.random (restricted attr)")](v.random.md)  
*v.random (restricted attr)*

[![v.random](v_random_points_in_polygon.png "v.random (points in polygon)")](v.random.md)  
*v.random (points in polygon)*

[![v.segment](v_segment_spaced_percent_points.jpg "v.segment (spaced percent points)")](v.segment.md)  
*v.segment (spaced percent points)*

[![v.segment](v_segment_spaced_points.jpg "v.segment (spaced points)")](v.segment.md)  
*v.segment (spaced points)*

[![v.segment](v_segment_spaced_right_points.jpg "v.segment (spaced right points)")](v.segment.md)  
*v.segment (spaced right points)*

[![v.segment](v_segment_subline.jpg "v.segment (subline)")](v.segment.md)  
*v.segment (subline)*

[![v.select](v_select_op_contains_pnts.png "v.select (op contains pnts)")](v.select.md)  
*v.select (op contains pnts)*

[![v.select](v_select_op_contains_pol.png "v.select (op contains pol)")](v.select.md)  
*v.select (op contains pol)*

[![v.select](v_select_op_crosses.png "v.select (op crosses)")](v.select.md)  
*v.select (op crosses)*

[![v.select](v_select_op_disjoint.png "v.select (op disjoint)")](v.select.md)  
*v.select (op disjoint)*

[![v.select](v_select_op_equals.png "v.select (op equals)")](v.select.md)  
*v.select (op equals)*

[![v.select](v_select_op_intersects.png "v.select (op intersects)")](v.select.md)  
*v.select (op intersects)*

[![v.select](v_select_op_overlap.png "v.select (op overlap)")](v.select.md)  
*v.select (op overlap)*

[![v.select](v_select_op_overlaps.png "v.select (op overlaps)")](v.select.md)  
*v.select (op overlaps)*

[![v.select](v_select_op_touches.png "v.select (op touches)")](v.select.md)  
*v.select (op touches)*

[![v.select](v_select_op_within.png "v.select (op within)")](v.select.md)  
*v.select (op within)*

[![v.surf.rst](vsurfrst_benchmark.png "v.surf.rst (benchmark)")](v.surf.rst.md)  
*v.surf.rst (benchmark)*

[![v.surf.rst](vsurfrst_cv_benchmark.png "v.surf.rst (cv benchmark)")](v.surf.rst.md)  
*v.surf.rst (cv benchmark)*

[![v.to.rast](v_to_rast_binning.png "v.to.rast (binning)")](v.to.rast.md)  
*v.to.rast (binning)*

[![v.to.rast3](v_to_rast3_test.png "v.to.rast3 (test)")](v.to.rast3.md)  
*v.to.rast3 (test)*

[![v.voronoi](v_voronoi_points.png "v.voronoi (points)")](v.voronoi.md)  
*v.voronoi (points)*

[![wxGUI.animation](wxGUI_animation_tool.jpg "wxGUI.animation (tool)")](wxGUI.animation.md)  
*wxGUI.animation (tool)*

[![wxGUI.datacatalog](datacatalog.png "wxGUI.datacatalog (datacatalog)")](wxGUI.datacatalog.md)  
*wxGUI.datacatalog (datacatalog)*

[![wxGUI.dbmgr](dbmgr_frame.png "wxGUI.dbmgr (dbmgr frame)")](wxGUI.dbmgr.md)  
*wxGUI.dbmgr (dbmgr frame)*

[![wxGUI.dbmgr](dbmgr_sql_builder.png "wxGUI.dbmgr (dbmgr sql builder)")](wxGUI.dbmgr.md)  
*wxGUI.dbmgr (dbmgr sql builder)*

[![wxGUI.gmodeler](g_gui_gmodeler_actinia_code.png "wxGUI.gmodeler (g gui gmodeler actinia code)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler actinia code)*

[![wxGUI.gmodeler](g_gui_gmodeler_avg_map.png "wxGUI.gmodeler (g gui gmodeler avg map)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler avg map)*

[![wxGUI.gmodeler](g_gui_gmodeler_avg_run.png "wxGUI.gmodeler (g gui gmodeler avg run)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler avg run)*

[![wxGUI.gmodeler](g_gui_gmodeler_items.png "wxGUI.gmodeler (g gui gmodeler items)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler items)*

[![wxGUI.gmodeler](g_gui_gmodeler_loop_final.png "wxGUI.gmodeler (g gui gmodeler loop final)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler loop final)*

[![wxGUI.gmodeler](g_gui_gmodeler_lower_toolbar.png "wxGUI.gmodeler (g gui gmodeler lower toolbar)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler lower toolbar)*

[![wxGUI.gmodeler](g_gui_gmodeler_model_avg.png "wxGUI.gmodeler (g gui gmodeler model avg)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler model avg)*

[![wxGUI.gmodeler](g_gui_gmodeler_model_landslides.png "wxGUI.gmodeler (g gui gmodeler model landslides)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler model landslides)*

[![wxGUI.gmodeler](g_gui_gmodeler_model_usle.png "wxGUI.gmodeler (g gui gmodeler model usle)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler model usle)*

[![wxGUI.gmodeler](g_gui_gmodeler_modis_1.png "wxGUI.gmodeler (g gui gmodeler modis 1)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler modis 1)*

[![wxGUI.gmodeler](g_gui_gmodeler_modis_1o.png "wxGUI.gmodeler (g gui gmodeler modis 1o)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler modis 1o)*

[![wxGUI.gmodeler](g_gui_gmodeler_modis_2.png "wxGUI.gmodeler (g gui gmodeler modis 2)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler modis 2)*

[![wxGUI.gmodeler](g_gui_gmodeler_modis_2o.png "wxGUI.gmodeler (g gui gmodeler modis 2o)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler modis 2o)*

[![wxGUI.gmodeler](g_gui_gmodeler_modis_3.png "wxGUI.gmodeler (g gui gmodeler modis 3)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler modis 3)*

[![wxGUI.gmodeler](g_gui_gmodeler_modis_3o.png "wxGUI.gmodeler (g gui gmodeler modis 3o)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler modis 3o)*

[![wxGUI.gmodeler](g_gui_gmodeler_parameter.png "wxGUI.gmodeler (g gui gmodeler parameter)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler parameter)*

[![wxGUI.gmodeler](g_gui_gmodeler_python.png "wxGUI.gmodeler (g gui gmodeler python)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler python)*

[![wxGUI.gmodeler](g_gui_gmodeler_python_code.png "wxGUI.gmodeler (g gui gmodeler python code)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler python code)*

[![wxGUI.gmodeler](g_gui_gmodeler_python_code_result.png "wxGUI.gmodeler (g gui gmodeler python code result)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler python code result)*

[![wxGUI.gmodeler](g_gui_gmodeler_pywps_code.png "wxGUI.gmodeler (g gui gmodeler pywps code)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler pywps code)*

[![wxGUI.gmodeler](g_gui_gmodeler_toolbar.png "wxGUI.gmodeler (g gui gmodeler toolbar)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler toolbar)*

[![wxGUI.gmodeler](g_gui_gmodeler_variables.png "wxGUI.gmodeler (g gui gmodeler variables)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler variables)*

[![wxGUI.gmodeler](g_gui_gmodeler_variables_raster.png "wxGUI.gmodeler (g gui gmodeler variables raster)")](wxGUI.gmodeler.md)  
*wxGUI.gmodeler (g gui gmodeler variables raster)*

[![wxGUI.iclass](iclass_frame.jpg "wxGUI.iclass (iclass frame)")](wxGUI.iclass.md)  
*wxGUI.iclass (iclass frame)*

[![wxGUI.iscatt](wxGUI_iscatt.jpg "wxGUI.iscatt")](wxGUI.iscatt.md)  
*wxGUI.iscatt*

[![wxGUI.mapswipe](mapswipe_tsunami.jpg "wxGUI.mapswipe (mapswipe tsunami)")](wxGUI.mapswipe.md)  
*wxGUI.mapswipe (mapswipe tsunami)*

[![wxGUI](wxGUI_layer_manager.png "wxGUI (layer manager)")](wxGUI.md)  
*wxGUI (layer manager)*

[![wxGUI](wxGUI_map_display.jpg "wxGUI (map display)")](wxGUI.md)  
*wxGUI (map display)*

[![wxGUI.modules](wxGUI_modules_flags.png "wxGUI.modules (flags)")](wxGUI.modules.md)  
*wxGUI.modules (flags)*

[![wxGUI.modules](wxGUI_modules_parameters.png "wxGUI.modules (parameters)")](wxGUI.modules.md)  
*wxGUI.modules (parameters)*

[![wxGUI.modules](wxGUI_modules_style_left.png "wxGUI.modules (style left)")](wxGUI.modules.md)  
*wxGUI.modules (style left)*

[![wxGUI.modules](wxGUI_modules_style_top.png "wxGUI.modules (style top)")](wxGUI.modules.md)  
*wxGUI.modules (style top)*

[![wxGUI.photo2image](wxGUI_iphoto2image_frame.jpg "wxGUI.photo2image (wxGUI iphoto2image frame)")](wxGUI.photo2image.md)  
*wxGUI.photo2image (wxGUI iphoto2image frame)*

[![wxGUI.rdigit](wxGUI_rdigit_step1.png "wxGUI.rdigit (step1)")](wxGUI.rdigit.md)  
*wxGUI.rdigit (step1)*

[![wxGUI.rdigit](wxGUI_rdigit_step2.png "wxGUI.rdigit (step2)")](wxGUI.rdigit.md)  
*wxGUI.rdigit (step2)*

[![wxGUI.rdigit](wxGUI_rdigit_step3.png "wxGUI.rdigit (step3)")](wxGUI.rdigit.md)  
*wxGUI.rdigit (step3)*

[![wxGUI.rdigit](wxGUI_rdigit_step4.png "wxGUI.rdigit (step4)")](wxGUI.rdigit.md)  
*wxGUI.rdigit (step4)*

[![wxGUI.rdigit](wxGUI_rdigit_step5.png "wxGUI.rdigit (step5)")](wxGUI.rdigit.md)  
*wxGUI.rdigit (step5)*

[![wxGUI.rlisetup](g_gui_rlisetup_sample_areas.png "wxGUI.rlisetup (g gui rlisetup sample areas)")](wxGUI.rlisetup.md)  
*wxGUI.rlisetup (g gui rlisetup sample areas)*

[![wxGUI.timeline](timeline_2D.jpg "wxGUI.timeline (timeline 2D)")](wxGUI.timeline.md)  
*wxGUI.timeline (timeline 2D)*

[![wxGUI.tplot](g_gui_tplot_export_csv.png "wxGUI.tplot (g gui tplot export csv)")](wxGUI.tplot.md)  
*wxGUI.tplot (g gui tplot export csv)*

[![wxGUI.tplot](g_gui_tplot_labels.png "wxGUI.tplot (g gui tplot labels)")](wxGUI.tplot.md)  
*wxGUI.tplot (g gui tplot labels)*

[![wxGUI.tplot](tplot.png "wxGUI.tplot (tplot)")](wxGUI.tplot.md)  
*wxGUI.tplot (tplot)*

[![wxGUI.vdigit](vdigit_toolbar.jpg "wxGUI.vdigit (vdigit toolbar)")](wxGUI.vdigit.md)  
*wxGUI.vdigit (vdigit toolbar)*

[![wxGUI.vnet](wxGUI_vnet.jpg "wxGUI.vnet")](wxGUI.vnet.md)  
*wxGUI.vnet*

